iv_time(3)

NAME
iv_now, iv_validate_now, iv_invalidate_now - ivykis time handling

SYNOPSIS
#include <iv.h>

extern struct timespec iv_now;
void iv_validate_now(void);
void iv_invalidate_now(void);

DESCRIPTION
iv_now is a global variable that represents a monotonic timer.

The contents of iv_now might be stale. Calling the function iv_validate_now ensures that the current contents of iv_now are up-to-date.

The function iv_invalidate_now is called to invalidate the currently cached time. This function should be called after any operation that takes a significant amount of wall clock time.

SEE ALSO
ivykis(3), iv_examples(3)